package	com.sw.mes.yb.report.service.impl;


import com.sw.mes.core.base.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import com.sw.mes.yb.report.entity.CrystalPullingInfo;
import com.sw.mes.yb.report.dao.CrystalPullingInfoDao;
import com.sw.mes.yb.report.service.CrystalPullingInfoService;


/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Service
@Transactional
public class CrystalPullingInfoServiceImpl extends BaseServiceImpl<CrystalPullingInfo> implements CrystalPullingInfoService {
    CrystalPullingInfoDao dao;
	@Autowired
    public void setDao(CrystalPullingInfoDao dao) {
        super.setBaseDao(dao);
        this.dao=dao;
    }
	@Override
	public CrystalPullingInfo getByDeviceNo(String equimentCode) {
		return dao.getByDeviceNo(equimentCode);
	}

    @Override
    public CrystalPullingInfo getCrystalPullingInfoByLotNo(String lotNo) {
        return dao.getOneByLotNoOrderByIdDesc(lotNo);
    }
}
